List tenant products
curl --request GET \
--url https://api.simplepay.mx/v1/products \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplepay.mx/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "<unknown>",
"url": "<unknown>",
"has_more": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "<unknown>",
"active": true,
"created": 123,
"default_price": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"images": [
"<string>"
],
"marketing_features": [
{
"name": "<string>"
}
],
"livemode": true,
"metadata": {},
"name": "<string>",
"package_dimensions": {},
"shippable": true,
"statement_descriptor": "<string>",
"tax_code": "<string>",
"tax_details": {
"performance_location": "<string>",
"tax_code": "<string>"
},
"unit_label": "<string>",
"updated": 123,
"url": "<string>",
"cms": {
"categories": [
{
"active": true,
"description": "<string>",
"fallback": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"object": "<unknown>",
"parentCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"primary_category": {
"active": true,
"description": "<string>",
"fallback": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"object": "<unknown>",
"parentCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"content": {},
"bookable": {
"object": "<unknown>",
"id": "<string>",
"slug": "<string>",
"duration_minutes": 2,
"time_zone": "<string>",
"slot_interval_minutes": 2,
"payment_required": true,
"summary": {
"occurrences_count": 1,
"tiers_count": 1,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"urls": {
"offers": "<string>",
"availability": "<string>",
"holds": "<string>",
"bookings": "<string>",
"slots": "<string>"
}
}
}
}
]
}List tenant products
Referencia detallada para GET /v1/products.
GET
https://api.simplepay.mx
/
v1
/
products
List tenant products
curl --request GET \
--url https://api.simplepay.mx/v1/products \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplepay.mx/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "<unknown>",
"url": "<unknown>",
"has_more": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "<unknown>",
"active": true,
"created": 123,
"default_price": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"images": [
"<string>"
],
"marketing_features": [
{
"name": "<string>"
}
],
"livemode": true,
"metadata": {},
"name": "<string>",
"package_dimensions": {},
"shippable": true,
"statement_descriptor": "<string>",
"tax_code": "<string>",
"tax_details": {
"performance_location": "<string>",
"tax_code": "<string>"
},
"unit_label": "<string>",
"updated": 123,
"url": "<string>",
"cms": {
"categories": [
{
"active": true,
"description": "<string>",
"fallback": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"object": "<unknown>",
"parentCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"primary_category": {
"active": true,
"description": "<string>",
"fallback": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"object": "<unknown>",
"parentCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"sortOrder": 123,
"updatedAt": "2023-11-07T05:31:56Z"
},
"content": {},
"bookable": {
"object": "<unknown>",
"id": "<string>",
"slug": "<string>",
"duration_minutes": 2,
"time_zone": "<string>",
"slot_interval_minutes": 2,
"payment_required": true,
"summary": {
"occurrences_count": 1,
"tiers_count": 1,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z"
},
"urls": {
"offers": "<string>",
"availability": "<string>",
"holds": "<string>",
"bookings": "<string>",
"slots": "<string>"
}
}
}
}
]
}Uso
Usalo para administrar productos del tenant, ofertas, disponibilidad o inventario empresarial asociado al catalogo SimplePay.Antes de llamar
| Tema | Detalle |
|---|---|
| Metodo | GET |
| Ruta | /v1/products |
| Auth | Bearer API key del ambiente correcto. |
| Scope | products:read |
| Idempotencia | No aplica para lecturas. |
| Guia relacionada | API Reference overview |
Patron recomendado
- Ejecuta esta lectura desde backend cuando incluya datos privados del tenant.
- Consulta el bloque OpenAPI de esta pagina para el shape exacto de parametros, body y respuestas.
Ejemplo minimo
terminal
curl -sS "https://api.simplepay.mx/v1/products" \
-H "Authorization: Bearer $SIMPLEPAY_API_KEY"
Errores a manejar
400indica payload, parametros o estado invalido.401o403indican API key, ambiente o scopes incorrectos.429y5xxse pueden reintentar con backoff; en writes conserva la misma idempotency key.
Contrato OpenAPI
El playground, parametros, body y respuestas de abajo salen de/openapi.json. Si el contrato cambia, actualiza la spec y regenera esta pagina.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
es, en, pt, de, fr, zh-Hans, zh, zh-hans Required range:
1 <= x <= 100Available options:
data.default_price Response
200 - application/json
Tenant products
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Available options:
es, en, pt, de, fr, zh-Hans Hide child attributes
Hide child attributes
Available options:
es, en, pt, de, fr, zh-Hans Hide child attributes
Hide child attributes
Available options:
es, en, pt, de, fr, zh-Hans CMS-only content that is not duplicated from the SimplePay Product object.
Hide child attributes
Hide child attributes
Pattern:
^evt_Available options:
appointment, class, scheduled_offer, experience, rental, service, date_range, ticketed_event, hospitality Available options:
capacity_pool, date_range, instant, seated, unit_assignment, seat_map, request_to_book Required range:
x >= 1Required range:
x >= 1Hide child attributes
Hide child attributes
Required range:
x >= 0Required range:
x >= 0Available options:
available, limited, request_to_book, sold_out, unavailable Last modified on June 21, 2026
Evaluate a proposed payment against the tenant's effective SimplePay payment policyCreate a tenant product
⌘I